#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

%define 	module	blinker
Summary:	Fast, simple object-to-object and broadcast signaling
Summary(pl.UTF-8):	Szybkie, proste przesyłanie sygnałów pomiędzy obiektami
Name:		python-%{module}
# keep 1.5 here for python2 support
Version:	1.5
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/blinker/
Source0:	https://files.pythonhosted.org/packages/source/b/blinker/%{module}-%{version}.tar.gz
# Source0-md5:	e1c3eec8e52210f69ef59d299c6cca07
URL:		https://pythonhosted.org/blinker/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-nose
%endif
%if %{with doc}
BuildRequires:	python3-flask_sphinx_themes
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Blinker provides a fast dispatching system that allows any number of
interested parties to subscribe to events, or "signals". Signal
receivers can subscribe to specific senders or receive signals sent by
any sender.

%description -l pl.UTF-8
Blinker dostarcza szybki system rozporowadzania sygnałów, który
pozwala na dowolną liczbę odbiorców zdarzeń czy sygnałów. Odbiorcy
sygnałów mogą zapisywać się do wybranych nadawców lub odbierać sygnały
nadadane przez wszystkich nadawców.

%package apidocs
Summary:	Blinker API documentation
Summary(pl.UTF-8):	Dokumentacja API modułu Blinker
Group:		Documentation

%description apidocs
API documentation for Blinker.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Blinker.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%if %{with tests}
nosetests-%{py_ver} tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.rst README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_images,_static,*.html,*.js}
%endif
%changelog
* Sun May 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-blinker.git;a=log;h=master

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> c510e60
- Rel 4; python3 - see python3-blinker.spec

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 7206c46
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 150bbdd
- python 3.13 rebuild

* Sat Oct 14 2023 Jakub Bogusz <qboosh@pld-linux.org> 57f41de
- updated to 1.5

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> df0684b
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 59a015d
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1fc0fdc
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> f9bcc39
- release 4 (by relup.sh)

* Thu Jan 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 4b1919b
- cleanup, enabled tests and docs; release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1e5bce0
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Nov 08 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c8e0fe
- up to 1.4

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 90b3f18
- python 3.7 rebuild
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 754a394
- python 3.6
- release 6 (by relup.sh)

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> e6f9fe8
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 79a2d17
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f7d9b73
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 0fec6f0
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> eb61371
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b68a014
- python 3.5 rebuild
- release 2 (by relup.sh)

* Tue Oct 28 2014 Mateusz Korniak <matkor@pld-linux.org> 2a13e95
- Initial version 1.3.

